libstdc++: std::locale::facet Class Reference

libstdc++

std::locale::facet Class Reference
Locales

`#include <locale_classes.h>`

Inheritance diagram for std::locale::facet:
[legend]

## Protected Member Functions
| facet (const facet &)=delete
| facet (size_t __refs=0) throw ()
virtual | ~facet ()
facet & | operator= (const facet &)=delete

## Static Protected Member Functions
static __c_locale | _S_clone_c_locale (__c_locale &__cloc) throw ()
static void | _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void | _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale | _S_get_c_locale ()
static const char * | _S_get_c_name () throw ()
static __c_locale | _S_lc_ctype_c_locale (__c_locale __cloc, const char *__s)

## Friends
class | locale
class | locale::_Impl

## Detailed Description

Localization functionality base class.

The facet class is the base class for a localization feature, such as money, time, and number printing. It provides common support for facets and reference management.

Facets may not be copied or assigned.

Definition at line 405 of file locale_classes.h.

## Constructor & Destructor Documentation

## ◆ facet()

std::locale::facet::facet | ( | size_t | __refs = 0 | ) |
throw | ( | ) |  |  |
| inlineexplicitprotected

Facet constructor.

This is the constructor provided by the standard. If refs is 0, the facet is destroyed when the last referencing locale is destroyed. Otherwise the facet will never be destroyed.

Parameters

  __refs | The initial value for reference count.

Definition at line 437 of file locale_classes.h.

Referenced by std::__cxx11::collate< _CharT >::collate(), std::__cxx11::collate< _CharT >::collate(), std::messages< _CharT >::messages(), std::messages< _CharT >::messages(), std::money_get< _CharT, _InIter >::money_get(), std::money_put< _CharT, _OutIter >::money_put(), std::moneypunct< _CharT, _Intl >::moneypunct(), std::moneypunct< _CharT, _Intl >::moneypunct(), std::moneypunct< _CharT, _Intl >::moneypunct(), std::num_get< _CharT, istreambuf_iterator< _CharT, _Traits > >::num_get(), std::num_put< _CharT, ostreambuf_iterator< _CharT, _Traits > >::num_put(), std::numpunct< _CharT >::numpunct(), std::numpunct< _CharT >::numpunct(), std::numpunct< _CharT >::numpunct(), std::time_get< _CharT, _InIter >::time_get(), std::time_put< _CharT, _OutIter >::time_put(), and ~facet().

## ◆ ~facet()

virtual std::locale::facet::~facet | ( |  | ) |
| protectedvirtual

Facet destructor.

References facet().

## Friends And Related Symbol Documentation

## ◆ locale

friend class locale
| friend

Definition at line 408 of file locale_classes.h.

## ◆ locale::_Impl

friend class locale::_Impl
| friend

Definition at line 409 of file locale_classes.h.

The documentation for this class was generated from the following file:

- locale_classes.h